from factories.NetworkFactory import NetworkFactory
from factories.GameFactory import GameFactory

def main():
    args = parseCommandLine()
    game = createGame(args)
    game.run()

def parseCommandLine():
    return

def createGame(args):
    NetworkFactory.createNetwork(args['OutputServerAddress'], args['InputServerAddress'])
    gameFactory = GameFactory()
    game = gameFactory.createGame()
    return game

if __name__ == '__main__':
    main()
